For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
      • GETList Dubs
      • POSTDub a video or audio file
      • GETGet dubbing
      • DELDelete dubbing
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIDubbing

Dub a video or audio file

POST
/v1/dubbing
POST
/v1/dubbing
$curl -X POST https://api.elevenlabs.io/v1/dubbing \
> -H "Content-Type: multipart/form-data" \
> -F file=@<file1> \
> -F csv_file=@<file1> \
> -F foreground_audio_file=@<file1> \
> -F background_audio_file=@<file1> \
> -F target_lang="string"
1{
2 "dubbing_id": "21m00Tcm4TlvDq8ikWAM",
3 "expected_duration_sec": 127.5
4}
Dubs a provided audio or video file into given language.
Was this page helpful?
Previous

Get dubbing

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects a multipart form with multiple files.
filefileOptional
A list of file paths to audio recordings intended for voice cloning
csv_filefileOptional

CSV file containing transcription/translation metadata

foreground_audio_filefileOptional
For use only with csv input
background_audio_filefileOptional
For use only with csv input
namestring or nullOptional
Name of the dubbing project.
source_urlstring or nullOptional

URL of the source video/audio file.

source_langstringOptionalDefaults to auto

Source language. Expects a valid iso639-1 or iso639-3 language code.

target_langstring or nullRequired

The Target language to dub the content into. Expects a valid iso639-1 or iso639-3 language code.

target_accentstring or nullOptional

[Experimental] An accent to apply when selecting voices from the library and to use to inform translation of the dialect to prefer.

num_speakersintegerOptionalDefaults to 0
Number of speakers to use for the dubbing. Set to 0 to automatically detect the number of speakers
watermarkbooleanOptionalDefaults to false
Whether to apply watermark to the output video.
start_timeinteger or nullOptional

Start time of the source video/audio file.

end_timeinteger or nullOptional

End time of the source video/audio file.

highest_resolutionbooleanOptionalDefaults to false
Whether to use the highest resolution available.
drop_background_audiobooleanOptionalDefaults to false
An advanced setting. Whether to drop background audio from the final dub. This can improve dub quality where it's known that audio shouldn't have a background track such as for speeches or monologues.
use_profanity_filterboolean or nullOptional

[BETA] Whether transcripts should have profanities censored with the words ‘[censored]’

dubbing_studiobooleanOptionalDefaults to false
Whether to prepare dub for edits in dubbing studio or edits as a dubbing resource.
disable_voice_cloningbooleanOptionalDefaults to false
Instead of using a voice clone in dubbing, use a similar voice from the ElevenLabs Voice Library. Voices used from the library will contribute towards a workspace's custom voices limit, and if there aren't enough available slots the dub will fail. Using this feature requires the caller to have the 'add_voice_from_voice_library' permission on their workspace to access new voices.
modeenumOptionalDefaults to automatic
The mode in which to run this Dubbing job. Defaults to automatic, use manual if specifically providing a CSV transcript to use. Note that manual mode is experimental and production use is strongly discouraged.
Allowed values:
csv_fpsdouble or nullOptional
Frames per second to use when parsing a CSV file for dubbing. If not provided, FPS will be inferred from timecodes.
hcaptcha_tokenstring or nullOptional
HCaptcha token used to prevent spam, generated on the frontend either automatically or when the client solves the hCaptcha challenge.

Response

Successful Response
dubbing_idstring
The ID of the dubbing project.
expected_duration_secdouble
The expected duration of the dubbing project in seconds.

Errors

422
Unprocessable Entity Error

Instead of using a voice clone in dubbing, use a similar voice from the ElevenLabs Voice Library. Voices used from the library will contribute towards a workspace’s custom voices limit, and if there aren’t enough available slots the dub will fail. Using this feature requires the caller to have the ‘add_voice_from_voice_library’ permission on their workspace to access new voices.